Skip to content
--- aside: false outline: false title: "Submit workflow — Civitai Orchestration API" copyPage: false ---

Submit workflow

POST
/v2/consumer/workflows

Parameters

Query Parameters

wait

Whether to wait for the workflow to complete before returning or to return immediately
The request may return a 202 if the clients waits for the workflow to complete and the workflow does not complete within the requested timeout.
In which case the client should use the token to query the status of the workflow.

Type
integer
Format
"int32"
Default
0
whatif

Whether to actually submit the workflow or return an estimate on what would happen upon submission

Type
boolean
Default
false
hideMatureContent

When set to true, any blob that has mature won't be available and won't have a URL

Type
boolean
Default
false

Request Body

JSON

Responses

OK

application/json
JSON

Playground

Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

Civitai Developer Documentation